> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve worker resignations

GET https://api.letsdeel.com/rest/eor/workers/resignations

Returns resignations submitted by EOR workers, optionally filtered by resignation letter status.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-offboarding/get-employee-resignations

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `status` (enum, optional) — Filter by resignation letter status
  - Allowed values: `AWAITING_SIGNATURE`, `SIGNED`

## Response

### 200

Successful operation.

- `data` (list of EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden

- `errors` (list of EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — The unique identifier of the resignation
- `status` (enum, required) — The status of the resignation
  - Allowed values: `CREATED`, `COMPLETED`, `AWAITING_REFUND`, `PROCESSING`, `AWAITING_TRIAGE`, `AWAITING_PROCESSING`, `CANCELLED`, `AWAITING_PTO`
- `end_date` (string, required, nullable) — The confirmed end date of the resignation
- `created_at` (string, required) — The date and time the resignation was created
- `updated_at` (string, required) — The date and time the resignation was updated
- `contract_id` (string, required) — The unique identifier of the employee contract.
- `desired_end_date` (string, required, nullable) — The desired end date of the resignation
- `resignation_letter` (EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetter, required, nullable)

### EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code of the handler which produced the returned error
- `field` (string, optional) — The field name where error occurred (null for server errors)
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetter

- `id` (string, required) — The unique identifier of the resignation letter
- `status` (enum, required) — The status of the resignation letter
  - Allowed values: `AWAITING_SIGNATURE`, `SIGNED`
- `signature` (string, required, nullable) — The signature of the resignation letter
- `signed_at` (string, required, nullable) — The date and time the resignation letter was signed
- `created_at` (string, required) — The date and time the resignation letter was created
- `updated_at` (string, required) — The date and time the resignation letter was updated

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "COMPLETED",
      "end_date": "2025-01-01T00:00:00Z",
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z",
      "contract_id": "ABC123",
      "desired_end_date": "2025-01-01T00:00:00Z",
      "resignation_letter": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "status": "AWAITING_SIGNATURE",
        "signature": "John Doe",
        "signed_at": "2025-01-01T00:00:00Z",
        "created_at": "2025-01-01T00:00:00Z",
        "updated_at": "2025-01-01T00:00:00Z"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/workers/resignations"

querystring = {"status":"AWAITING_SIGNATURE"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/workers/resignations?status=AWAITING_SIGNATURE")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```